Search Members Help

» Welcome Guest
[ Log In :: Register ]

Mini-ITX Boards Sale, Fanless BareBones Mini-ITX, Bootable 1G DSL USBs, 533MHz Fanless PC <-- SALE $200 each!
Get The Official Damn Small Linux Book. DSL Market , Great VPS hosting provided by Tektonic

[ Track this topic :: Email this topic :: Print this topic ]

reply to topic new topic new poll
Topic: Luit Linux Apt-get problem< Next Oldest | Next Newest >
cisco Offline

Group: Members
Posts: 3
Joined: June 2005
Posted: June 14 2005,17:35 QUOTE

Hello DSL,
I am actually trying to get Apt in Luit Linux (a version of DSL) HD install to work, here is my problem.  After installing to the HD, I used the command:

sudo dpkg-restore  (which did a wget

Then I downloaded the dsl-dpkg.dsl from the DSL site (which I then moved to / and unpacked it)

The problem is when I do sudo apt-get update I get the error:

E: The method driver /usr/lib/apt/metods/http could not be found.

I hope someone can help.
Back to top
Profile PM 
RoGuE_StreaK Offline

Group: Members
Posts: 418
Joined: Jan. 2004
Posted: June 16 2005,14:27 QUOTE

OT, I just had a look at Luit, and got excited 'cause it said it had the GIMP and Scribus... but all to no avail, these are not in the base CD, you have to add another 50meg extension to it.  So DSL is still ruling.
I only got interested because I thought it had these apps in the base 50meg iso, which is only relevant to me in the past few days as I finally tracked down some 50MB biz-card CDs.  Normally I make a MyDSL mini-CD, so DSL tweaks nicely to suit my requirements, but after booting up a plain vanilla DSL, I realised how much I miss my DSL extensions.  Oh well, I guess the biz-card will only really be used for emergency boots anyway, will carry it in my wallet, any other time I'll use the ever-so-nice MyDSL extended versions...

Sorry for hi-jacking the thread.

Oh, I'm thinking maybe Luit is behind the 8-ball with the dpkg package, the one it's linking to may be outdated?  You seem to be doubling up on the effort - I'd first try only using the dsl-dpkg.dsl, don't know if Luit uses mydsl extensions or not, if so, in emelfm just click it and install, before running sudo apt-get update (bear in mind it's been over a year since I last used apt...)
Might also want to install the gnu-utils package first, just in case.

"I find your lack of penguin disturbing"
                                      - Darth Tux
Back to top
Profile PM WEB 
green Offline

Group: Members
Posts: 453
Joined: Oct. 2004
Posted: June 16 2005,18:14 QUOTE

why not just stick with DSL ?
afterall, it can do anything you want it to.
Back to top
Profile PM 
cisco Offline

Group: Members
Posts: 3
Joined: June 2005
Posted: June 16 2005,22:59 QUOTE

RoGuE_StreaK, I had come to the same conclusion, that apt had broke in the luix derivative.  The reason I went with luit linux was that it is small like dsl and had the XFCE4 window manager and rox-filer file manager.  I know they are not slim and trim like fluxbox , but I don't have to teach people how to use them.  I would love to rework dsl to have just the following:


To be able to have this I am afraid it will break dsl, by adding and deleting so many files.
Back to top
Profile PM 
3 replies since June 14 2005,17:35 < Next Oldest | Next Newest >

[ Track this topic :: Email this topic :: Print this topic ]

reply to topic new topic new poll
Quick Reply: Luit Linux Apt-get problem

Do you wish to enable your signature for this post?
Do you wish to enable emoticons for this post?
Track this topic
View All Emoticons
View iB Code